
Foreman - Feature #31341

Deploy the foreman_scap_client as part of registration
Status: New   

Priority: Low   

Assignee:    

Category: Host registration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Similarly how we deploy REX, we should deploy scap client if the host is configured to run it

History

#1 - 11/19/2020 01:59 PM - Marek Hulán

- Related to Feature #30440: Simple & automatic host registration WF added

#2 - 11/19/2020 02:37 PM - Marek Hulán

The question is, should we encourage to use ansible/puppet for this or allow doing this as part of the registration. If so, we should do the same during

provisioning.

#3 - 12/08/2020 02:55 PM - Tomer Brisker

- Category set to Host registration

#4 - 06/04/2021 08:28 AM - Leos Stejskal

- Related to deleted (Feature #30440: Simple & automatic host registration WF)

#5 - 08/09/2021 01:03 PM - Leos Stejskal

- Priority changed from Normal to Low

- Triaged changed from No to Yes

#6 - 09/03/2021 12:51 PM - Ondřej Pražák

We can bootstrap puppet agent, so puppet deployed policies can be configured the usual way.

1) register host into a hg with openscap proxy, scap client puppet module and policy

2) puppet agent runs and configures things

For ansible, this is a bit tricky. It would be good to have an ability (checkbox in registration form?) to run ansible roles after host is registered. This

would be beneficial not only for openscap - the assumption is that if a user registers a host into hg with ansible roles, the desire is for the roles to be

applied to the host.
